LTTNG-DESTROY(1)

NAME
lttng-destroy - Destroy an LTTng tracing session

SYNOPSIS

lttng [GENERAL OPTIONS] destroy [--no-wait] [--all | SESSION]

DESCRIPTION

The lttng destroy command destroys one or more tracing sessions.

If no options are specified, the current tracing session is destroyed (see lttng-create(1) for more information about the current tracing session).

If SESSION is specified, the existing tracing session named SESSION is destroyed. lttng list outputs all the existing tracing sessions (see lttng-list(1)).

If the --all option is used, all the tracing sessions, as listed in the output of lttng list, are destroyed.

Destroying a tracing session stops any tracing running within the latter. By default, the implicit lttng-stop(1) command invoked by the lttng destroy command ensures that the tracing session’s trace data is valid before returning. With the --no-wait option, the lttng-stop(1) command finishes immediately, hence a local trace might not be valid when the command is done. In this case, there is no way to know when the trace becomes valid.

Destroying a tracing session does not destroy the recorded trace data, if any; it frees resources acquired by the session daemon and tracer side, making sure to flush all trace data.

If at least one rotation occurred during the chosen tracing session’s lifetime (see lttng-rotate(1) and lttng-enable-rotation(1)), and without the --no-wait option, all the tracing session’s output directory’s subdirectories are considered trace chunk archives once the command returns: it is safe to read them, modify them, move them, or remove them.

OPTIONS

General options are described in lttng(1).

-a, --all
    Destroy all tracing sessions.

-n, --no-wait
    Do not ensure that the chosen tracing session’s trace data is valid before returning to the prompt.

  Program information

-h, --help
    Show command help.

    This option, like lttng-help(1), attempts to launch /usr/bin/man to view the command’s man page. The path to the man pager can be overridden by the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options.

ENVIRONMENT VARIABLES

LTTNG_ABORT_ON_ERROR
    Set to 1 to abort the process after the first error is encountered.

LTTNG_HOME
    Overrides the $HOME environment variable. Useful when the user running the commands has a non-writable home directory.

LTTNG_MAN_BIN_PATH
    Absolute path to the man pager to use for viewing help information about LTTng commands (using lttng-help(1) or lttng COMMAND --help).

LTTNG_SESSION_CONFIG_XSD_PATH
    Path in which the session.xsd session configuration XML schema may be found.

LTTNG_SESSIOND_PATH
    Full session daemon binary path.

    The --sessiond-path option has precedence over this environment variable.

Note that the lttng-create(1) command can spawn an LTTng session daemon automatically if none is running. See lttng-sessiond(8) for the environment variables influencing the execution of the session daemon.

FILES

$LTTNG_HOME/.lttngrc
    User LTTng runtime configuration.

    This is where the per-user current tracing session is stored between executions of lttng(1). The current tracing session can be set with lttng-set-session(1). See lttng-create(1) for more information about tracing sessions.

$LTTNG_HOME/lttng-traces
    Default output directory of LTTng traces. This can be overridden with the --output option of the lttng-create(1) command.

$LTTNG_HOME/.lttng
    User LTTng runtime and configuration directory.

$LTTNG_HOME/.lttng/sessions
    Default location of saved user tracing sessions (see lttng-save(1) and lttng-load(1)).

/usr/local/etc/lttng/sessions
    System-wide location of saved tracing sessions (see lttng-save(1) and lttng-load(1)).

    Note

    $LTTNG_HOME defaults to $HOME when not explicitly set.

EXIT STATUS

0
    Success

1
    Command error

2
    Undefined command

3
    Fatal error

4
    Command warning (something went wrong during the command)

BUGS

If you encounter any issue or usability problem, please report it on the LTTng bug tracker <https://bugs.lttng.org/projects/lttng-tools>.

RESOURCES

    • LTTng project website <https://lttng.org>

    • LTTng documentation <https://lttng.org/docs>

    • Git repositories <http://git.lttng.org>

    • GitHub organization <http://github.com/lttng>

    • Continuous integration <http://ci.lttng.org/>

    • Mailing list <http://lists.lttng.org> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHTS

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

SEE ALSO

lttng-create(1), lttng-set-session(1), lttng(1)